Bug 84369 - update x11-toolkits/iwidgets
Summary: update x11-toolkits/iwidgets
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-31 03:40 UTC by pauls
Modified: 2005-12-26 14:23 UTC (History)
1 user (show)

See Also:


Attachments
iwidgets (16.53 KB, text/plain)
2005-07-31 03:40 UTC, pauls
no flags Details
pr84369-patches (28.54 KB, application/octet-stream)
2005-08-01 18:58 UTC, pauls
no flags Details
patch-distinfo (511 bytes, application/octet-stream)
2005-12-14 21:10 UTC, pauls
no flags Details
patch-Makefile (4.25 KB, application/octet-stream)
2005-12-14 21:10 UTC, pauls
no flags Details
patch-pkg-descr (501 bytes, application/octet-stream)
2005-12-14 21:10 UTC, pauls
no flags Details
patch-pkg-message.in (1.21 KB, application/octet-stream)
2005-12-14 21:10 UTC, pauls
no flags Details
patch-pkg-plist (16.63 KB, application/octet-stream)
2005-12-14 21:10 UTC, pauls
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description pauls 2005-07-31 03:40:18 UTC
	The current iwidgets port does not work correctly.  In order to use it, you have to use
	tclsh instead of wish.  This submission both corrects that problem and updates the port
	to the latest release version - 4.0.1.

Fix: This port was created from scratch.  It downloads the itcl source as well, because it's required
	to correctly compile the port.  The old port worked around the problem by downloading itcl and
	unpacking the iwidgets directories and copying them to the installdirs, but this meant the port
	didn't "register" with wish.  Compiling from source fixes this problem.
How-To-Repeat: 	If you install the existing iwidgets port and attempt to use iwidgets, you will get an error
	because itk cannot find iwidgets.  To overcome the problem, you have to use tclsh8.4 rather
	than wish8.4, which is the correct way to call iwidgets.
Comment 1 pauls 2005-08-01 18:58:57 UTC
I'm attaching a shar file that has patches for this recent port submission, 
per Thierry Thomas' request.  These patches can be applied against the 
existing x11-toolkits/iwidgets port to update it.  The previous shar file, 
which was in the form a new port submission normally takes can be discarded.

Note: pkg-message has been moved to files/pkg-message.in because I made use 
of SUB_LIST, PLIST_SUB and SUB_FILES for both pkg-message and pkg-plist.

Paul Schmehl (pauls@utdallas.edu)
Adjunct Information Security Officer
University of Texas at Dallas
AVIEN Founding Member
http://www.utdallas.edu/ir/security/
Comment 2 Thierry Thomas freebsd_committer 2005-10-03 22:18:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


Take it.
Comment 3 Thierry Thomas freebsd_committer 2005-10-03 22:19:17 UTC
State Changed
From-To: open->feedback


I have a problem with this port: it installs / deinstalls / packages 
fine, the demos runs perfectly with wish8.3, but wish8.4 core dumps. 

Then I have a question: is it really necessary to rewrite the install 
target? It would be much easier to use the included target. 

Since I'm there, here is the unique patch (diff -urN), with CATEGORIES 
set to tk84: 

--- iwidgets.diff begins here --- 
diff -urN x11-toolkits/iwidgets.orig/Makefile x11-toolkits/iwidgets/Makefile 
--- x11-toolkits/iwidgets.orig/Makefile	Sun Dec 21 01:23:25 2003 
+++ x11-toolkits/iwidgets/Makefile	Mon Oct  3 22:14:16 2005 
@@ -6,47 +6,117 @@ 
# 

PORTNAME=	iwidgets 
-PORTVERSION=	3.2 
-CATEGORIES=	x11-toolkits tk83 
+PORTVERSION=	4.0.1 
+CATEGORIES=	x11-toolkits tk84 
MASTER_SITES=	${MASTER_SITE_SOURCEFORGE} 
MASTER_SITE_SUBDIR=incrtcl 
-DISTNAME=	itcl3.2 
+DISTNAME=	iwidgets${PORTVERSION} 
+DISTFILES=	itcl3.2.1_src.tgz ${PORTNAME}${PORTVERSION}.tar.gz 
+DIST_SUBDIR=	${PORTNAME} 

-MAINTAINER=	ports@FreeBSD.org 
-COMMENT=	[incr Widgets] (A.K.A. "iwidgets") 
+MAINTAINER=	pauls@utdallas.edu 
+COMMENT=	Iwidgets - [incr Widgets] 

-LIB_DEPENDS=	itk32.1:${PORTSDIR}/x11-toolkits/itk 
+LIB_DEPENDS=	tcl84:${PORTSDIR}/lang/tcl84  
+		tk84:${PORTSDIR}/x11-toolkits/tk84  
+		itk32.1:${PORTSDIR}/x11-toolkits/itk 

-EXTRACT_AFTER_ARGS=| ${TAR} -xf - ./itcl3.2/iwidgets* 
-NO_BUILD=	yes 
- 
-MANN=		buttonbox.n calendar.n canvasprintbox.n canvasprintdialog.n  
-		checkbox.n combobox.n dateentry.n datefield.n dialog.n  
-		dialogshell.n disjointlistbox.n entryfield.n  
-		extfileselectionbox.n extfileselectiondialog.n feedback.n  
-		fileselectionbox.n fileselectiondialog.n finddialog.n  
-		hierarchy.n hyperhelp.n labeledframe.n labeledwidget.n  
-		mainwindow.n menubar.n messagebox.n messagedialog.n  
-		notebook.n optionmenu.n panedwindow.n promptdialog.n  
-		pushbutton.n radiobox.n scopedobject.n scrolledcanvas.n  
-		scrolledframe.n scrolledhtml.n shell.n scrolledlistbox.n  
-		scrolledtext.n selectionbox.n selectiondialog.n spindate.n  
-		spinint.n spinner.n spintime.n tabnotebook.n tabset.n  
-		timeentry.n timefield.n toolbar.n watch.n 
+HAS_CONFIGURE=	yes 
+CONFIGURE_ARGS=	--with-tcl=${LOCALBASE}/lib/tcl8.4  
+		--with-tk=${LOCALBASE}/lib/tk8.4  
+		--with-itcl=${WRKDIR}/itcl3.2.1 
+SUB_LIST=	IWIDGETS=${DISTNAME} 
+SUB_FILES=	pkg-message 
+PLIST_SUB=	IWIDGETS=${DISTNAME} 
+ 
+DOCS=		CHANGES ChangeLog license.terms README doc/iwidgets.ps 
+ 
+MANN=		iwidgets_buttonbox.n iwidgets_calendar.n iwidgets_canvasprintbox.n iwidgets_canvasprintdialog.n  
+		iwidgets_checkbox.n iwidgets_combobox.n iwidgets_dateentry.n iwidgets_datefield.n iwidgets_dialog.n  
+		iwidgets_dialogshell.n iwidgets_disjointlistbox.n iwidgets_entryfield.n iwidgets_extbutton.n  
+		iwidgets_extfileselectionbox.n iwidgets_extfileselectiondialog.n iwidgets_feedback.n  
+		iwidgets_fileselectionbox.n iwidgets_fileselectiondialog.n iwidgets_finddialog.n iwidgets_hierarchy.n  
+		iwidgets_hyperhelp.n iwidgets_labeledframe.n iwidgets_labeledwidget.n iwidgets_mainwindow.n  
+		iwidgets_menubar.n iwidgets_messagebox.n iwidgets_messagedialog.n iwidgets_notebook.n iwidgets_optionmenu.n  
+		iwidgets_panedwindow.n iwidgets_promptdialog.n iwidgets_pushbutton.n iwidgets_radiobox.n  
+		iwidgets_scopedobject.n iwidgets_scrolledcanvas.n iwidgets_scrolledframe.n iwidgets_scrolledhtml.n  
+		iwidgets_scrolledlistbox.n iwidgets_scrolledtext.n iwidgets_selectionbox.n iwidgets_selectiondialog.n  
+		iwidgets_shell.n iwidgets_spindate.n iwidgets_spinint.n iwidgets_spinner.n iwidgets_spintime.n  
+		iwidgets_tabnotebook.n iwidgets_tabset.n iwidgets_timeentry.n iwidgets_timefield.n iwidgets_toolbar.n  
+		iwidgets_watch.n 

-# Install both versions of iwidgets, but only the 
-# latest version of man-pages: 
do-install: 
-.for d in iwidgets3.0.0 iwidgets2.2.0 
-	${MKDIR} ${PREFIX}/lib/$d/scripts/ ${PREFIX}/lib/$d/demos/images/ 
-	${INSTALL_DATA} ${WRKSRC}/$d/generic/* ${PREFIX}/lib/$d/scripts/ 
-	${INSTALL_DATA} ${WRKSRC}/$d/*.tcl ${PREFIX}/lib/$d/ 
-# Everything, but the html: 
-	${INSTALL_DATA} `${GREP} -Fl 'package require' ${WRKSRC}/$d/demos/*`  
-		${WRKSRC}/$d/demos/*.* ${PREFIX}/lib/$d/demos/ 
-	${INSTALL_DATA} ${WRKSRC}/$d/demos/images/*  
-		${PREFIX}/lib/$d/demos/images/ 
+	${MKDIR} ${PREFIX}/lib/${DISTNAME}/demos 
+	${MKDIR} ${PREFIX}/lib/${DISTNAME}/demos/html 
+	${MKDIR} ${PREFIX}/lib/${DISTNAME}/demos/images 
+	${MKDIR} ${PREFIX}/lib/${DISTNAME}/scripts 
+.for f in ${PORTNAME} 
+	${LN} -s ${PREFIX}/lib/${DISTNAME} ${PREFIX}/lib/${f} 
+.endfor 
+.for f in iwidgets.tcl pkgIndex.tcl 
+	${INSTALL_DATA} ${WRKSRC}/${f} ${PREFIX}/lib/${DISTNAME}/${f} 
+.endfor 
+.for f in buttonbox.itk calendar.itk canvasprintbox.itk canvasprintdialog.itk  
+	checkbox.itk colors.itcl combobox.itk dateentry.itk datefield.itk dialog.itk  
+	dialogshell.itk disjointlistbox.itk entryfield.itk extbutton.itk  
+	extfileselectionbox.itk extfileselectiondialog.itk feedback.itk  
+	fileselectionbox.itk fileselectiondialog.itk finddialog.itk hierarchy.itk  
+	hyperhelp.itk labeledframe.itk labeledwidget.itk mainwindow.itk  
+	menubar.itk messagebox.itk messagedialog.itk notebook.itk optionmenu.itk  
+	pane.itk panedwindow.itk promptdialog.itk pushbutton.itk radiobox.itk  
+	regexpfield.itk roman.itcl scopedobject.itcl scrolledcanvas.itk  
+	scrolledframe.itk scrolledhtml.itk scrolledlistbox.itk scrolledtext.itk  
+	scrolledwidget.itk selectionbox.itk selectiondialog.itk shell.itk spindate.itk  
+	spinint.itk spinner.itk spintime.itk tabnotebook.itk tabset.itk tclIndex  
+	timeentry.itk timefield.itk toolbar.itk unknownimage.gif watch.itk 
+	${INSTALL_DATA} ${WRKSRC}/generic/${f} ${PREFIX}/lib/${DISTNAME}/scripts/${f} 
+.endfor 
+.for f in buttonbox calendar canvasprintbox canvasprintdialog catalog checkbox combobox  
+	dateentry datefield dialog dialogshell disjointlistbox entryfield extbutton  
+	extfileselectionbox extfileselectiondialog feedback fileselectionbox  
+	fileselectiondialog finddialog hierarchy hyperhelp labeledframe labeledwidget  
+	mainwindow menubar messagebox messagedialog notebook optionmenu  
+	panedwindow promptdialog pushbutton radiobox scopedobject scrolledcanvas  
+	scrolledframe scrolledhtml scrolledlistbox scrolledtext selectionbox  
+	selectiondialog shell spindate spinint spinner spintime tabnotebook tabset  
+	timeentry timefield toolbar watch 
+	${INSTALL_DATA} ${WRKSRC}/demos/${f} ${PREFIX}/lib/${DISTNAME}/demos/${f} 
.endfor 
-	${INSTALL_MAN} ${WRKSRC}/iwidgets3.0.0/doc/*.n ${PREFIX}/man/mann/ 
+.for f in buttonbox.n.html calendar.n.html canvasprintbox.n.html canvasprintdialog.n.html checkbox.n.html  
+	combobox.n.html dateentry.n.html datefield.n.html dialog.n.html dialogshell.n.html disjointlistbox.n.html  
+	entryfield.n.html extbutton.n.html extfileselectionbox.n.html extfileselectiondialog.n.html feedback.n.html  
+	fileselectionbox.n.html fileselectiondialog.n.html finddialog.n.html hierarchy.n.html hyperhelp.n.html  
+	iwidgets4.0.0UserCmds.html labeledframe.n.html labeledwidget.n.html mainwindow.n.html menubar.n.html  
+	messagebox.n.html messagedialog.n.html notebook.n.html optionmenu.n.html panedwindow.n.html 
+	promptdialog.n.html pushbutton.n.html radiobox.n.html scopedobject.n.html scrolledcanvas.n.html  
+	scrolledframe.n.html scrolledhtml.n.html scrolledlistbox.n.html scrolledtext.n.html selectionbox.n.html  
+	selectiondialog.n.html shell.n.html spindate.n.html spinint.n.html spinner.n.html spintime.n.html  
+	tabnotebook.n.html tabset.n.html timeentry.n.html timefield.n.html toolbar.n.html watch.n.html 
+	${INSTALL_DATA} ${WRKSRC}/demos/html/${f} ${PREFIX}/lib/${DISTNAME}/demos/html/${f} 
+.endfor 
+.for f in box.xbm clear.gif close.gif copy.gif cut.gif exit.gif find.gif help.gif line.xbm mag.gif new.gif  
+	open.gif oval.xbm paste.gif points.xbm poly.gif print.gif ruler.gif save.gif select.gif text.xbm 
+	${INSTALL_DATA} ${WRKSRC}/demos/images/${f} ${PREFIX}/lib/${DISTNAME}/demos/images/${f} 
+.endfor 
+.for f in buttonbox.n calendar.n canvasprintbox.n canvasprintdialog.n checkbox.n  
+	combobox.n dateentry.n datefield.n dialog.n dialogshell.n disjointlistbox.n  
+	entryfield.n extbutton.n extfileselectionbox.n extfileselectiondialog.n  
+	feedback.n fileselectionbox.n fileselectiondialog.n finddialog.n hierarchy.n  
+	hyperhelp.n labeledframe.n labeledwidget.n mainwindow.n menubar.n messagebox.n  
+	messagedialog.n notebook.n optionmenu.n panedwindow.n promptdialog.n  
+	pushbutton.n radiobox.n scopedobject.n scrolledcanvas.n scrolledframe.n  
+	scrolledhtml.n shell.n scrolledlistbox.n scrolledtext.n selectionbox.n  
+	selectiondialog.n spindate.n spinint.n spinner.n spintime.n tabnotebook.n  
+	tabset.n timeentry.n timefield.n toolbar.n watch.n 
+	@${SED} -e '/man.macros/r ${WRKSRC}/doc/man.macros'  
+		-e '/man.macros/d' ${WRKSRC}/doc/${f} > ${WRKDIR}/${PORTNAME}_${f} 
+	${INSTALL_MAN} ${WRKDIR}/${PORTNAME}_${f} ${PREFIX}/man/mann/ 
+.endfor 
+.if !defined(NOPORTDOCS) 
+	@${MKDIR} ${DOCSDIR} 
+	cd ${WRKSRC} && ${INSTALL_DATA} ${WRKSRC}/${DOCS} ${DOCSDIR} 
+.endif 
+ 
+	@${CAT} ${PKGMESSAGE} 

.include <bsd.port.mk> 
diff -urN x11-toolkits/iwidgets.orig/distinfo x11-toolkits/iwidgets/distinfo 
--- x11-toolkits/iwidgets.orig/distinfo	Thu Jan 29 17:12:43 2004 
+++ x11-toolkits/iwidgets/distinfo	Mon Oct  3 22:10:12 2005 
@@ -1,2 +1,4 @@ 
-MD5 (itcl3.2.tar.gz) = b41ed909969eaa5f0a06ab698393760f 
-SIZE (itcl3.2.tar.gz) = 1498517 
+MD5 (iwidgets/itcl3.2.1_src.tgz) = 44dcc2129232329cacd6c8abebf38403 
+SIZE (iwidgets/itcl3.2.1_src.tgz) = 427026 
+MD5 (iwidgets/iwidgets4.0.1.tar.gz) = 0e9c140e81ea6015b56130127c7deb03 
+SIZE (iwidgets/iwidgets4.0.1.tar.gz) = 647960 
diff -urN x11-toolkits/iwidgets.orig/files/pkg-message.in x11-toolkits/iwidgets/files/pkg-message.in 
--- x11-toolkits/iwidgets.orig/files/pkg-message.in	Thu Jan  1 01:00:00 1970 
+++ x11-toolkits/iwidgets/files/pkg-message.in	Mon Oct  3 22:10:58 2005 
@@ -0,0 +1,20 @@ 
+ 
+Iwidgets is a "mega-widget" set built using itk.  It includes 
+a set of megwidgets, installed in %%PREFIX%%/lib/iwidgets4.0.1, 
+a set of man pages describing the various widgets, some scripts 
+in %%PREFIX%%/lib/%%IWIDGETS%%/scripts and some demo files in  
+%%PREFIX%%/lib/%%IWIDGETS%%/demos.  Run the demos in X windows by 
+using wish (E.g. wish8.4 %%PREFIX%%/lib/%%IWIDGETS%%/demos/checkbox) 
+ 
+All the man pages are installed as iwidgets_example.n.  If you search 
+man for widgets, you will get the Tk widgets.  To see the man pages 
+for iwidgets widgets, type man iwidgets_toolbar (for example.) There  
+is also a set of html documentation pages installed in 
+%%PREFIX%%/lib/%%IWIDGETS%%/demos/html that may be helpful.   
+Look at iwidgets4.0.0UserCmds.html for a list of the user commands  
+that are available to you. 
+ 
+Finally, you may want to read iwidgets.ps (use a Postcript viewer,  
+installed in %%DOCSDIR%%, which is a comprehensive 
+explanation of iwidgets. 
+ 
diff -urN x11-toolkits/iwidgets.orig/pkg-descr x11-toolkits/iwidgets/pkg-descr 
--- x11-toolkits/iwidgets.orig/pkg-descr	Sat Jul 28 16:53:46 2001 
+++ x11-toolkits/iwidgets/pkg-descr	Mon Oct  3 22:10:21 2005 
@@ -1,6 +1,7 @@ 
-This  package contains  [incr Widgets]  version 3.0.0  and 2.2.0.  [incr 
+This  package contains  [incr Widgets]  version 4.0.1.  [incr 
Widgets] is  a companion to  [incr Tk] and  provides a widget  set, with 
many improved  widgets. The [incr  Widgets] collection is also  known as 
-``iwidgets''. 
+``iwidgets'' or "mega-widgets". 

WWW:	http://sourceforge.net/projects/incrtcl/ 
+pauls@utdallas.edu 
diff -urN x11-toolkits/iwidgets.orig/pkg-message x11-toolkits/iwidgets/pkg-message 
--- x11-toolkits/iwidgets.orig/pkg-message	Tue Apr  6 00:44:51 1999 
+++ x11-toolkits/iwidgets/pkg-message	Thu Jan  1 01:00:00 1970 
@@ -1,4 +0,0 @@ 
- 
-For a demo of [incr Widgets] run 
-  /usr/local/lib/iwidgets3.0.0/demo/catalog 
-once it is installed. 
diff -urN x11-toolkits/iwidgets.orig/pkg-plist x11-toolkits/iwidgets/pkg-plist 
--- x11-toolkits/iwidgets.orig/pkg-plist	Sat Jul 28 16:53:46 2001 
+++ x11-toolkits/iwidgets/pkg-plist	Mon Oct  3 22:11:39 2005 
@@ -1,225 +1,200 @@ 
-lib/iwidgets3.0.0/scripts/buttonbox.itk 
-lib/iwidgets3.0.0/scripts/calendar.itk 
-lib/iwidgets3.0.0/scripts/canvasprintbox.itk 
-lib/iwidgets3.0.0/scripts/canvasprintdialog.itk 
-lib/iwidgets3.0.0/scripts/checkbox.itk 
-lib/iwidgets3.0.0/scripts/combobox.itk 
-lib/iwidgets3.0.0/scripts/dateentry.itk 
-lib/iwidgets3.0.0/scripts/datefield.itk 
-lib/iwidgets3.0.0/scripts/dialog.itk 
-lib/iwidgets3.0.0/scripts/dialogshell.itk 
-lib/iwidgets3.0.0/scripts/disjointlistbox.itk 
-lib/iwidgets3.0.0/scripts/entryfield.itk 
-lib/iwidgets3.0.0/scripts/extfileselectionbox.itk 
-lib/iwidgets3.0.0/scripts/extfileselectiondialog.itk 
-lib/iwidgets3.0.0/scripts/feedback.itk 
-lib/iwidgets3.0.0/scripts/fileselectionbox.itk 
-lib/iwidgets3.0.0/scripts/fileselectiondialog.itk 
-lib/iwidgets3.0.0/scripts/finddialog.itk 
-lib/iwidgets3.0.0/scripts/hierarchy.itk 
-lib/iwidgets3.0.0/scripts/hyperhelp.itk 
-lib/iwidgets3.0.0/scripts/labeledframe.itk 
-lib/iwidgets3.0.0/scripts/labeledwidget.itk 
-lib/iwidgets3.0.0/scripts/mainwindow.itk 
-lib/iwidgets3.0.0/scripts/menubar.itk 
-lib/iwidgets3.0.0/scripts/messagebox.itk 
-lib/iwidgets3.0.0/scripts/messagedialog.itk 
-lib/iwidgets3.0.0/scripts/notebook.itk 
-lib/iwidgets3.0.0/scripts/optionmenu.itk 
-lib/iwidgets3.0.0/scripts/pane.itk 
-lib/iwidgets3.0.0/scripts/panedwindow.itk 
-lib/iwidgets3.0.0/scripts/promptdialog.itk 
-lib/iwidgets3.0.0/scripts/pushbutton.itk 
-lib/iwidgets3.0.0/scripts/radiobox.itk 
-lib/iwidgets3.0.0/scripts/regexpfield.itk 
-lib/iwidgets3.0.0/scripts/scopedobject.tcl 
-lib/iwidgets3.0.0/scripts/scrolledcanvas.itk 
-lib/iwidgets3.0.0/scripts/scrolledframe.itk 
-lib/iwidgets3.0.0/scripts/scrolledhtml.itk 
-lib/iwidgets3.0.0/scripts/scrolledlistbox.itk 
-lib/iwidgets3.0.0/scripts/scrolledtext.itk 
-lib/iwidgets3.0.0/scripts/scrolledwidget.itk 
-lib/iwidgets3.0.0/scripts/selectionbox.itk 
-lib/iwidgets3.0.0/scripts/selectiondialog.itk 
-lib/iwidgets3.0.0/scripts/shell.itk 
-lib/iwidgets3.0.0/scripts/spindate.itk 
-lib/iwidgets3.0.0/scripts/spinint.itk 
-lib/iwidgets3.0.0/scripts/spinner.itk 
-lib/iwidgets3.0.0/scripts/spintime.itk 
-lib/iwidgets3.0.0/scripts/tabnotebook.itk 
-lib/iwidgets3.0.0/scripts/tabset.itk 
-lib/iwidgets3.0.0/scripts/timeentry.itk 
-lib/iwidgets3.0.0/scripts/timefield.itk 
-lib/iwidgets3.0.0/scripts/toolbar.itk 
-lib/iwidgets3.0.0/scripts/watch.itk 
-lib/iwidgets3.0.0/scripts/colors.itcl 
-lib/iwidgets3.0.0/scripts/roman.itcl 
-lib/iwidgets3.0.0/scripts/scopedobject.itcl 
-lib/iwidgets3.0.0/scripts/tclIndex 
-lib/iwidgets3.0.0/scripts/unknownimage.gif 
-lib/iwidgets3.0.0/iwidgets.tcl 
-lib/iwidgets3.0.0/pkgIndex.tcl 
-lib/iwidgets3.0.0/demos/images/box.xbm 
-lib/iwidgets3.0.0/demos/images/clear.gif 
-lib/iwidgets3.0.0/demos/images/close.gif 
-lib/iwidgets3.0.0/demos/images/copy.gif 
-lib/iwidgets3.0.0/demos/images/cut.gif 
-lib/iwidgets3.0.0/demos/images/exit.gif 
-lib/iwidgets3.0.0/demos/images/find.gif 
-lib/iwidgets3.0.0/demos/images/help.gif 
-lib/iwidgets3.0.0/demos/images/line.xbm 
-lib/iwidgets3.0.0/demos/images/mag.gif 
-lib/iwidgets3.0.0/demos/images/new.gif 
-lib/iwidgets3.0.0/demos/images/open.gif 
-lib/iwidgets3.0.0/demos/images/oval.xbm 
-lib/iwidgets3.0.0/demos/images/paste.gif 
-lib/iwidgets3.0.0/demos/images/points.xbm 
-lib/iwidgets3.0.0/demos/images/poly.gif 
-lib/iwidgets3.0.0/demos/images/print.gif 
-lib/iwidgets3.0.0/demos/images/ruler.gif 
-lib/iwidgets3.0.0/demos/images/save.gif 
-lib/iwidgets3.0.0/demos/images/select.gif 
-lib/iwidgets3.0.0/demos/images/text.xbm 
-lib/iwidgets3.0.0/demos/buttonbox 
-lib/iwidgets3.0.0/demos/calendar 
-lib/iwidgets3.0.0/demos/canvasprintbox 
-lib/iwidgets3.0.0/demos/canvasprintdialog 
-lib/iwidgets3.0.0/demos/catalog 
-lib/iwidgets3.0.0/demos/checkbox 
-lib/iwidgets3.0.0/demos/combobox 
-lib/iwidgets3.0.0/demos/dateentry 
-lib/iwidgets3.0.0/demos/datefield 
-lib/iwidgets3.0.0/demos/demo.html 
-lib/iwidgets3.0.0/demos/dialog 
-lib/iwidgets3.0.0/demos/dialogshell 
-lib/iwidgets3.0.0/demos/disjointlistbox 
-lib/iwidgets3.0.0/demos/entryfield 
-lib/iwidgets3.0.0/demos/extfileselectionbox 
-lib/iwidgets3.0.0/demos/extfileselectiondialog 
-lib/iwidgets3.0.0/demos/feedback 
-lib/iwidgets3.0.0/demos/fileselectionbox 
-lib/iwidgets3.0.0/demos/fileselectiondialog 
-lib/iwidgets3.0.0/demos/finddialog 
-lib/iwidgets3.0.0/demos/hierarchy 
-lib/iwidgets3.0.0/demos/hyperhelp 
-lib/iwidgets3.0.0/demos/iwidgets.gif 
-lib/iwidgets3.0.0/demos/labeledframe 
-lib/iwidgets3.0.0/demos/labeledwidget 
-lib/iwidgets3.0.0/demos/mainwindow 
-lib/iwidgets3.0.0/demos/menubar 
-lib/iwidgets3.0.0/demos/messagebox 
-lib/iwidgets3.0.0/demos/messagedialog 
-lib/iwidgets3.0.0/demos/notebook 
-lib/iwidgets3.0.0/demos/optionmenu 
-lib/iwidgets3.0.0/demos/panedwindow 
-lib/iwidgets3.0.0/demos/promptdialog 
-lib/iwidgets3.0.0/demos/pushbutton 
-lib/iwidgets3.0.0/demos/radiobox 
-lib/iwidgets3.0.0/demos/scopedobject 
-lib/iwidgets3.0.0/demos/scrolledcanvas 
-lib/iwidgets3.0.0/demos/scrolledframe 
-lib/iwidgets3.0.0/demos/scrolledhtml 
-lib/iwidgets3.0.0/demos/scrolledlistbox 
-lib/iwidgets3.0.0/demos/scrolledtext 
-lib/iwidgets3.0.0/demos/selectionbox 
-lib/iwidgets3.0.0/demos/selectiondialog 
-lib/iwidgets3.0.0/demos/shell 
-lib/iwidgets3.0.0/demos/spindate 
-lib/iwidgets3.0.0/demos/spinint 
-lib/iwidgets3.0.0/demos/spinner 
-lib/iwidgets3.0.0/demos/spintime 
-lib/iwidgets3.0.0/demos/tabnotebook 
-lib/iwidgets3.0.0/demos/tabset 
-lib/iwidgets3.0.0/demos/timeentry 
-lib/iwidgets3.0.0/demos/timefield 
-lib/iwidgets3.0.0/demos/toolbar 
-lib/iwidgets3.0.0/demos/watch 
-@dirrm lib/iwidgets3.0.0/scripts 
-@dirrm lib/iwidgets3.0.0/demos/images 
-@dirrm lib/iwidgets3.0.0/demos 
-@dirrm lib/iwidgets3.0.0 
-lib/iwidgets2.2.0/demos/dialogshell 
-lib/iwidgets2.2.0/demos/buttonbox 
-lib/iwidgets2.2.0/demos/catalog 
-lib/iwidgets2.2.0/demos/dialog 
-lib/iwidgets2.2.0/demos/canvasprintdialog 
-lib/iwidgets2.2.0/demos/combobox 
-lib/iwidgets2.2.0/demos/demo.html 
-lib/iwidgets2.2.0/demos/iwidgets.gif 
-lib/iwidgets2.2.0/demos/entryfield 
-lib/iwidgets2.2.0/demos/feedback 
-lib/iwidgets2.2.0/demos/fileselectiondialog 
-lib/iwidgets2.2.0/demos/fileselectionbox 
-lib/iwidgets2.2.0/demos/hyperhelp 
-lib/iwidgets2.2.0/demos/scrolledcanvas 
-lib/iwidgets2.2.0/demos/labeledwidget 
-lib/iwidgets2.2.0/demos/menubar 
-lib/iwidgets2.2.0/demos/messagedialog 
-lib/iwidgets2.2.0/demos/notebook 
-lib/iwidgets2.2.0/demos/optionmenu 
-lib/iwidgets2.2.0/demos/panedwindow 
-lib/iwidgets2.2.0/demos/promptdialog 
-lib/iwidgets2.2.0/demos/pushbutton 
-lib/iwidgets2.2.0/demos/spinint 
-lib/iwidgets2.2.0/demos/radiobox 
-lib/iwidgets2.2.0/demos/scrolledlistbox 
-lib/iwidgets2.2.0/demos/scrolledframe 
-lib/iwidgets2.2.0/demos/scrolledhtml 
-lib/iwidgets2.2.0/demos/selectiondialog 
-lib/iwidgets2.2.0/demos/scrolledtext 
-lib/iwidgets2.2.0/demos/selectionbox 
-lib/iwidgets2.2.0/demos/tabnotebook 
-lib/iwidgets2.2.0/demos/spindate 
-lib/iwidgets2.2.0/demos/spinner 
-lib/iwidgets2.2.0/demos/spintime 
-lib/iwidgets2.2.0/demos/toolbar 
-lib/iwidgets2.2.0/demos/tabset 
-lib/iwidgets2.2.0/demos/images/mag.gif 
-lib/iwidgets2.2.0/demos/images/poly.gif 
-lib/iwidgets2.2.0/demos/images/ruler.gif 
-lib/iwidgets2.2.0/demos/images/select.gif 
-lib/iwidgets2.2.0/pkgIndex.tcl 
-lib/iwidgets2.2.0/iwidgets.tcl 
-lib/iwidgets2.2.0/scripts/canvasprintbox.itk 
-lib/iwidgets2.2.0/scripts/buttonbox.itk 
-lib/iwidgets2.2.0/scripts/fileselectiondialog.itk 
-lib/iwidgets2.2.0/scripts/canvasprintdialog.itk 
-lib/iwidgets2.2.0/scripts/colors.itk 
-lib/iwidgets2.2.0/scripts/combobox.itk 
-lib/iwidgets2.2.0/scripts/dialog.itk 
-lib/iwidgets2.2.0/scripts/dialogshell.itk 
-lib/iwidgets2.2.0/scripts/entryfield.itk 
-lib/iwidgets2.2.0/scripts/feedback.itk 
-lib/iwidgets2.2.0/scripts/fileselectionbox.itk 
-lib/iwidgets2.2.0/scripts/labeledwidget.itk 
-lib/iwidgets2.2.0/scripts/hyperhelp.itk 
-lib/iwidgets2.2.0/scripts/messagedialog.itk 
-lib/iwidgets2.2.0/scripts/menubar.itk 
-lib/iwidgets2.2.0/scripts/panedwindow.itk 
-lib/iwidgets2.2.0/scripts/notebook.itk 
-lib/iwidgets2.2.0/scripts/optionmenu.itk 
-lib/iwidgets2.2.0/scripts/pane.itk 
-lib/iwidgets2.2.0/scripts/scrolledlistbox.itk 
-lib/iwidgets2.2.0/scripts/promptdialog.itk 
-lib/iwidgets2.2.0/scripts/pushbutton.itk 
-lib/iwidgets2.2.0/scripts/radiobox.itk 
-lib/iwidgets2.2.0/scripts/scrolledcanvas.itk 
-lib/iwidgets2.2.0/scripts/scrolledframe.itk 
-lib/iwidgets2.2.0/scripts/scrolledhtml.itk 
-lib/iwidgets2.2.0/scripts/selectiondialog.itk 
-lib/iwidgets2.2.0/scripts/scrolledtext.itk 
-lib/iwidgets2.2.0/scripts/selectionbox.itk 
-lib/iwidgets2.2.0/scripts/spindate.itk 
-lib/iwidgets2.2.0/scripts/shell.itk 
-lib/iwidgets2.2.0/scripts/tabnotebook.itk 
-lib/iwidgets2.2.0/scripts/spinint.itk 
-lib/iwidgets2.2.0/scripts/spinner.itk 
-lib/iwidgets2.2.0/scripts/spintime.itk 
-lib/iwidgets2.2.0/scripts/toolbar.itk 
-lib/iwidgets2.2.0/scripts/tabset.itk 
-lib/iwidgets2.2.0/scripts/tclIndex 
-lib/iwidgets2.2.0/scripts/unknownimage.gif 
-@dirrm lib/iwidgets2.2.0/scripts 
-@dirrm lib/iwidgets2.2.0/demos/images 
-@dirrm lib/iwidgets2.2.0/demos 
-@dirrm lib/iwidgets2.2.0 
+lib/iwidgets 
+lib/%%IWIDGETS%%/iwidgets.tcl 
+lib/%%IWIDGETS%%/pkgIndex.tcl 
+lib/%%IWIDGETS%%/demos/buttonbox 
+lib/%%IWIDGETS%%/demos/calendar 
+lib/%%IWIDGETS%%/demos/canvasprintbox 
+lib/%%IWIDGETS%%/demos/canvasprintdialog 
+lib/%%IWIDGETS%%/demos/catalog 
+lib/%%IWIDGETS%%/demos/checkbox 
+lib/%%IWIDGETS%%/demos/combobox 
+lib/%%IWIDGETS%%/demos/dateentry 
+lib/%%IWIDGETS%%/demos/datefield 
+lib/%%IWIDGETS%%/demos/dialog 
+lib/%%IWIDGETS%%/demos/dialogshell 
+lib/%%IWIDGETS%%/demos/disjointlistbox 
+lib/%%IWIDGETS%%/demos/entryfield 
+lib/%%IWIDGETS%%/demos/extbutton 
+lib/%%IWIDGETS%%/demos/extfileselectionbox 
+lib/%%IWIDGETS%%/demos/extfileselectiondialog 
+lib/%%IWIDGETS%%/demos/feedback 
+lib/%%IWIDGETS%%/demos/fileselectionbox 
+lib/%%IWIDGETS%%/demos/fileselectiondialog 
+lib/%%IWIDGETS%%/demos/finddialog 
+lib/%%IWIDGETS%%/demos/hierarchy 
+lib/%%IWIDGETS%%/demos/hyperhelp 
+lib/%%IWIDGETS%%/demos/labeledframe 
+lib/%%IWIDGETS%%/demos/labeledwidget 
+lib/%%IWIDGETS%%/demos/mainwindow 
+lib/%%IWIDGETS%%/demos/menubar 
+lib/%%IWIDGETS%%/demos/messagebox 
+lib/%%IWIDGETS%%/demos/messagedialog 
+lib/%%IWIDGETS%%/demos/notebook 
+lib/%%IWIDGETS%%/demos/optionmenu 
+lib/%%IWIDGETS%%/demos/panedwindow 
+lib/%%IWIDGETS%%/demos/promptdialog 
+lib/%%IWIDGETS%%/demos/pushbutton 
+lib/%%IWIDGETS%%/demos/radiobox 
+lib/%%IWIDGETS%%/demos/scopedobject 
+lib/%%IWIDGETS%%/demos/scrolledcanvas 
+lib/%%IWIDGETS%%/demos/scrolledframe 
+lib/%%IWIDGETS%%/demos/scrolledhtml 
+lib/%%IWIDGETS%%/demos/scrolledlistbox 
+lib/%%IWIDGETS%%/demos/scrolledtext 
+lib/%%IWIDGETS%%/demos/selectionbox 
+lib/%%IWIDGETS%%/demos/selectiondialog 
+lib/%%IWIDGETS%%/demos/shell 
+lib/%%IWIDGETS%%/demos/spindate 
+lib/%%IWIDGETS%%/demos/spinint 
+lib/%%IWIDGETS%%/demos/spinner 
+lib/%%IWIDGETS%%/demos/spintime 
+lib/%%IWIDGETS%%/demos/tabnotebook 
+lib/%%IWIDGETS%%/demos/tabset 
+lib/%%IWIDGETS%%/demos/timeentry 
+lib/%%IWIDGETS%%/demos/timefield 
+lib/%%IWIDGETS%%/demos/toolbar 
+lib/%%IWIDGETS%%/demos/watch 
+lib/%%IWIDGETS%%/demos/html/buttonbox.n.html 
+lib/%%IWIDGETS%%/demos/html/calendar.n.html 
+lib/%%IWIDGETS%%/demos/html/canvasprintbox.n.html 
+lib/%%IWIDGETS%%/demos/html/canvasprintdialog.n.html 
+lib/%%IWIDGETS%%/demos/html/checkbox.n.html 
+lib/%%IWIDGETS%%/demos/html/combobox.n.html 
+lib/%%IWIDGETS%%/demos/html/dateentry.n.html 
+lib/%%IWIDGETS%%/demos/html/datefield.n.html 
+lib/%%IWIDGETS%%/demos/html/dialog.n.html 
+lib/%%IWIDGETS%%/demos/html/dialogshell.n.html 
+lib/%%IWIDGETS%%/demos/html/disjointlistbox.n.html 
+lib/%%IWIDGETS%%/demos/html/entryfield.n.html 
+lib/%%IWIDGETS%%/demos/html/extbutton.n.html 
+lib/%%IWIDGETS%%/demos/html/extfileselectionbox.n.html 
+lib/%%IWIDGETS%%/demos/html/extfileselectiondialog.n.html 
+lib/%%IWIDGETS%%/demos/html/feedback.n.html 
+lib/%%IWIDGETS%%/demos/html/fileselectionbox.n.html 
+lib/%%IWIDGETS%%/demos/html/fileselectiondialog.n.html 
+lib/%%IWIDGETS%%/demos/html/finddialog.n.html 
+lib/%%IWIDGETS%%/demos/html/hierarchy.n.html 
+lib/%%IWIDGETS%%/demos/html/hyperhelp.n.html 
+lib/%%IWIDGETS%%/demos/html/iwidgets4.0.0UserCmds.html 
+lib/%%IWIDGETS%%/demos/html/labeledframe.n.html 
+lib/%%IWIDGETS%%/demos/html/labeledwidget.n.html 
+lib/%%IWIDGETS%%/demos/html/mainwindow.n.html 
+lib/%%IWIDGETS%%/demos/html/menubar.n.html 
+lib/%%IWIDGETS%%/demos/html/messagebox.n.html 
+lib/%%IWIDGETS%%/demos/html/messagedialog.n.html 
+lib/%%IWIDGETS%%/demos/html/notebook.n.html 
+lib/%%IWIDGETS%%/demos/html/optionmenu.n.html 
+lib/%%IWIDGETS%%/demos/html/panedwindow.n.html 
+lib/%%IWIDGETS%%/demos/html/promptdialog.n.html 
+lib/%%IWIDGETS%%/demos/html/pushbutton.n.html 
+lib/%%IWIDGETS%%/demos/html/radiobox.n.html 
+lib/%%IWIDGETS%%/demos/html/scopedobject.n.html 
+lib/%%IWIDGETS%%/demos/html/scrolledcanvas.n.html 
+lib/%%IWIDGETS%%/demos/html/scrolledframe.n.html 
+lib/%%IWIDGETS%%/demos/html/scrolledhtml.n.html 
+lib/%%IWIDGETS%%/demos/html/scrolledlistbox.n.html 
+lib/%%IWIDGETS%%/demos/html/scrolledtext.n.html 
+lib/%%IWIDGETS%%/demos/html/selectionbox.n.html 
+lib/%%IWIDGETS%%/demos/html/selectiondialog.n.html 
+lib/%%IWIDGETS%%/demos/html/shell.n.html 
+lib/%%IWIDGETS%%/demos/html/spindate.n.html 
+lib/%%IWIDGETS%%/demos/html/spinint.n.html 
+lib/%%IWIDGETS%%/demos/html/spinner.n.html 
+lib/%%IWIDGETS%%/demos/html/spintime.n.html 
+lib/%%IWIDGETS%%/demos/html/tabnotebook.n.html 
+lib/%%IWIDGETS%%/demos/html/tabset.n.html 
+lib/%%IWIDGETS%%/demos/html/timeentry.n.html 
+lib/%%IWIDGETS%%/demos/html/timefield.n.html 
+lib/%%IWIDGETS%%/demos/html/toolbar.n.html 
+lib/%%IWIDGETS%%/demos/html/watch.n.html 
+lib/%%IWIDGETS%%/demos/images/box.xbm 
+lib/%%IWIDGETS%%/demos/images/clear.gif 
+lib/%%IWIDGETS%%/demos/images/close.gif 
+lib/%%IWIDGETS%%/demos/images/copy.gif 
+lib/%%IWIDGETS%%/demos/images/cut.gif 
+lib/%%IWIDGETS%%/demos/images/exit.gif 
+lib/%%IWIDGETS%%/demos/images/find.gif 
+lib/%%IWIDGETS%%/demos/images/help.gif 
+lib/%%IWIDGETS%%/demos/images/line.xbm 
+lib/%%IWIDGETS%%/demos/images/mag.gif 
+lib/%%IWIDGETS%%/demos/images/new.gif 
+lib/%%IWIDGETS%%/demos/images/open.gif 
+lib/%%IWIDGETS%%/demos/images/oval.xbm 
+lib/%%IWIDGETS%%/demos/images/paste.gif 
+lib/%%IWIDGETS%%/demos/images/points.xbm 
+lib/%%IWIDGETS%%/demos/images/poly.gif 
+lib/%%IWIDGETS%%/demos/images/print.gif 
+lib/%%IWIDGETS%%/demos/images/ruler.gif 
+lib/%%IWIDGETS%%/demos/images/save.gif 
+lib/%%IWIDGETS%%/demos/images/select.gif 
+lib/%%IWIDGETS%%/demos/images/text.xbm 
+lib/%%IWIDGETS%%/scripts/buttonbox.itk 
+lib/%%IWIDGETS%%/scripts/calendar.itk 
+lib/%%IWIDGETS%%/scripts/canvasprintbox.itk 
+lib/%%IWIDGETS%%/scripts/canvasprintdialog.itk 
+lib/%%IWIDGETS%%/scripts/checkbox.itk 
+lib/%%IWIDGETS%%/scripts/colors.itcl 
+lib/%%IWIDGETS%%/scripts/combobox.itk 
+lib/%%IWIDGETS%%/scripts/dateentry.itk 
+lib/%%IWIDGETS%%/scripts/datefield.itk 
+lib/%%IWIDGETS%%/scripts/dialog.itk 
+lib/%%IWIDGETS%%/scripts/dialogshell.itk 
+lib/%%IWIDGETS%%/scripts/disjointlistbox.itk 
+lib/%%IWIDGETS%%/scripts/entryfield.itk 
+lib/%%IWIDGETS%%/scripts/extbutton.itk 
+lib/%%IWIDGETS%%/scripts/extfileselectionbox.itk 
+lib/%%IWIDGETS%%/scripts/extfileselectiondialog.itk 
+lib/%%IWIDGETS%%/scripts/feedback.itk 
+lib/%%IWIDGETS%%/scripts/fileselectionbox.itk 
+lib/%%IWIDGETS%%/scripts/fileselectiondialog.itk 
+lib/%%IWIDGETS%%/scripts/finddialog.itk 
+lib/%%IWIDGETS%%/scripts/hierarchy.itk 
+lib/%%IWIDGETS%%/scripts/hyperhelp.itk 
+lib/%%IWIDGETS%%/scripts/labeledframe.itk 
+lib/%%IWIDGETS%%/scripts/labeledwidget.itk 
+lib/%%IWIDGETS%%/scripts/mainwindow.itk 
+lib/%%IWIDGETS%%/scripts/menubar.itk 
+lib/%%IWIDGETS%%/scripts/messagebox.itk 
+lib/%%IWIDGETS%%/scripts/messagedialog.itk 
+lib/%%IWIDGETS%%/scripts/notebook.itk 
+lib/%%IWIDGETS%%/scripts/optionmenu.itk 
+lib/%%IWIDGETS%%/scripts/pane.itk 
+lib/%%IWIDGETS%%/scripts/panedwindow.itk 
+lib/%%IWIDGETS%%/scripts/promptdialog.itk 
+lib/%%IWIDGETS%%/scripts/pushbutton.itk 
+lib/%%IWIDGETS%%/scripts/radiobox.itk 
+lib/%%IWIDGETS%%/scripts/regexpfield.itk 
+lib/%%IWIDGETS%%/scripts/roman.itcl 
+lib/%%IWIDGETS%%/scripts/scopedobject.itcl 
+lib/%%IWIDGETS%%/scripts/scrolledcanvas.itk 
+lib/%%IWIDGETS%%/scripts/scrolledframe.itk 
+lib/%%IWIDGETS%%/scripts/scrolledhtml.itk 
+lib/%%IWIDGETS%%/scripts/scrolledlistbox.itk 
+lib/%%IWIDGETS%%/scripts/scrolledtext.itk 
+lib/%%IWIDGETS%%/scripts/scrolledwidget.itk 
+lib/%%IWIDGETS%%/scripts/selectionbox.itk 
+lib/%%IWIDGETS%%/scripts/selectiondialog.itk 
+lib/%%IWIDGETS%%/scripts/shell.itk 
+lib/%%IWIDGETS%%/scripts/spindate.itk 
+lib/%%IWIDGETS%%/scripts/spinint.itk 
+lib/%%IWIDGETS%%/scripts/spinner.itk 
+lib/%%IWIDGETS%%/scripts/spintime.itk 
+lib/%%IWIDGETS%%/scripts/tabnotebook.itk 
+lib/%%IWIDGETS%%/scripts/tabset.itk 
+lib/%%IWIDGETS%%/scripts/tclIndex 
+lib/%%IWIDGETS%%/scripts/timeentry.itk 
+lib/%%IWIDGETS%%/scripts/timefield.itk 
+lib/%%IWIDGETS%%/scripts/toolbar.itk 
+lib/%%IWIDGETS%%/scripts/unknownimage.gif 
+lib/%%IWIDGETS%%/scripts/watch.itk 
+%%DOCSDIR%%/CHANGES 
+%%DOCSDIR%%/ChangeLog 
+%%DOCSDIR%%/license.terms 
+%%DOCSDIR%%/README 
+%%DOCSDIR%%/iwidgets.ps 
+@dirrm lib/%%IWIDGETS%%/scripts 
+@dirrm lib/%%IWIDGETS%%/demos/html 
+@dirrm lib/%%IWIDGETS%%/demos/images 
+@dirrm lib/%%IWIDGETS%%/demos 
+@dirrm lib/%%IWIDGETS%% 
+@dirrm %%DOCSDIR%% 
--- iwidgets.diff ends here ---
Comment 4 pauls 2005-12-08 22:50:23 UTC
What's the status on this port update?  It was changed from open to 
feedback on 10/3/2005, but I don't recall ever being notified.  Am I 
expected to provide some feedback?

Paul Schmehl (pauls@utdallas.edu)
Adjunct Information Security Officer
University of Texas at Dallas
AVIEN Founding Member
http://www.utdallas.edu/ir/security/
Comment 5 Thierry Thomas freebsd_committer 2005-12-08 23:49:21 UTC
On Fri  9 dec 05 at 0:00:17 +0100, Paul Schmehl <pauls@utdallas.edu>
 wrote:
> The following reply was made to PR ports/84369; it has been noted by GNATS.
> 
> From: Paul Schmehl <pauls@utdallas.edu>
> To: bug-followup@FreeBSD.org, Paul Schmehl <pauls@utdallas.edu>
> Cc:  
> Subject: Re: ports/84369: update x11-toolkits/iwidgets
> Date: Thu, 08 Dec 2005 16:50:23 -0600
> 
>  What's the status on this port update?  It was changed from open to
>  feedback on 10/3/2005, but I don't recall ever being notified.  Am I
>  expected to provide some feedback?

This is strange, you should have been notified by gnats.

Anyway, you can check it at
<http://www.freebsd.org/cgi/query-pr.cgi?pr=84369>.

The problem was:

I have a problem with this port: it installs / deinstalls / packages
fine, the demos runs perfectly with wish8.3, but wish8.4 core dumps.

Then I have a question: is it really necessary to rewrite the install
target? It would be much easier to use the included target.

And since I was there, I had proposed a single patch.

Truly yours,
-- 
Th. Thomas.
Comment 6 pauls 2005-12-09 05:07:13 UTC
--On December 9, 2005 12:49:21 AM +0100 Thierry Thomas 
<thierry@FreeBSD.org> wrote:
>>
>>  What's the status on this port update?  It was changed from open to
>>  feedback on 10/3/2005, but I don't recall ever being notified.  Am I
>>  expected to provide some feedback?
>
> This is strange, you should have been notified by gnats.
>
> Anyway, you can check it at
> <http://www.freebsd.org/cgi/query-pr.cgi?pr=84369>.
>
> The problem was:
>
> I have a problem with this port: it installs / deinstalls / packages
> fine, the demos runs perfectly with wish8.3, but wish8.4 core dumps.
>
I'll have to try and reproduce that.

> Then I have a question: is it really necessary to rewrite the install
> target? It would be much easier to use the included target.
>
I don't understand what you mean by this.  Can you clarify?

> And since I was there, I had proposed a single patch.
>
I see that now.

Paul Schmehl (pauls@utdallas.edu)
Adjunct Information Security Officer
University of Texas at Dallas
AVIEN Founding Member
http://www.utdallas.edu/
Comment 7 Thierry Thomas freebsd_committer 2005-12-10 20:28:37 UTC
On Fri  9 dec 05 at 6:10:06 +0100, Paul Schmehl <pauls@utdallas.edu>
 wrote:
>  > I have a problem with this port: it installs / deinstalls / packages
>  > fine, the demos runs perfectly with wish8.3, but wish8.4 core dumps.
>  >
>  I'll have to try and reproduce that.

Thanks for taking care.

>  > Then I have a question: is it really necessary to rewrite the install
>  > target? It would be much easier to use the included target.
>  >
>  I don't understand what you mean by this.  Can you clarify?

It's not important, I was just curious: why did you write such a complex
do-install: target? It seemed easier to patch the existing target in the
real Makefile.in, but I may be wrong...

Regards,
-- 
Th. Thomas.
Comment 8 pauls 2005-12-14 21:10:27 UTC
These patches are against the existing port.  All the previous patches and 
files that I sent should be discarded.  This should patch the existing port 
to update it to iwidgets4.0.1.

Paul Schmehl (pauls@utdallas.edu)
Adjunct Information Security Officer
University of Texas at Dallas
AVIEN Founding Member
http://www.utdallas.edu/ir/security/
Comment 9 Thierry Thomas freebsd_committer 2005-12-15 21:46:23 UTC
Responsible Changed
From-To: thierry->ports@FreeBSD.fr


Sorry, this port builds and installs perfectly, but I cannot run it 
with wish8.4 on FreeBSD-6.0, it core dumps: 

wish8.4 /usr/local/lib/iwidgets4.0.1/demos/checkbox 
zsh: segmentation fault (core dumped)  wish8.4 /usr/local/lib/iwidgets4.0.1/demos/checkbox 

However it runs fine with wish8.3. 

Since this might be a problem on my machine, I reassign this PR back to 
the pool. 

Hereunder is your patches without base64 encoding (I have just added 
SHA256): 

--- iwidgets.diff begins here --- 
diff -urN x11-toolkits/iwidgets.orig/Makefile x11-toolkits/iwidgets/Makefile 
--- x11-toolkits/iwidgets.orig/Makefile	Sun Dec 21 01:23:25 2003 
+++ x11-toolkits/iwidgets/Makefile	Thu Dec 15 21:34:21 2005 
@@ -1,52 +1,60 @@ 
-# New ports collection makefile for:	itk 
-# Date created:		Aug 17 1996 
-# Whom:			chuckr 
+# New ports collection makefile for:    itk 
+# Date created:         Aug 17 1996 
+# Whom:                 chuckr 
# 
# $FreeBSD: ports/x11-toolkits/iwidgets/Makefile,v 1.12 2003/12/21 00:23:25 sergei Exp $ 
# 

PORTNAME=	iwidgets 
-PORTVERSION=	3.2 
-CATEGORIES=	x11-toolkits tk83 
+PORTVERSION=	4.0.1 
+CATEGORIES=	x11-toolkits tk84 
MASTER_SITES=	${MASTER_SITE_SOURCEFORGE} 
MASTER_SITE_SUBDIR=incrtcl 
-DISTNAME=	itcl3.2 
- 
-MAINTAINER=	ports@FreeBSD.org 
-COMMENT=	[incr Widgets] (A.K.A. "iwidgets") 
- 
-LIB_DEPENDS=	itk32.1:${PORTSDIR}/x11-toolkits/itk 
- 
-EXTRACT_AFTER_ARGS=| ${TAR} -xf - ./itcl3.2/iwidgets* 
-NO_BUILD=	yes 
- 
-MANN=		buttonbox.n calendar.n canvasprintbox.n canvasprintdialog.n  
-		checkbox.n combobox.n dateentry.n datefield.n dialog.n  
-		dialogshell.n disjointlistbox.n entryfield.n  
-		extfileselectionbox.n extfileselectiondialog.n feedback.n  
-		fileselectionbox.n fileselectiondialog.n finddialog.n  
-		hierarchy.n hyperhelp.n labeledframe.n labeledwidget.n  
-		mainwindow.n menubar.n messagebox.n messagedialog.n  
-		notebook.n optionmenu.n panedwindow.n promptdialog.n  
-		pushbutton.n radiobox.n scopedobject.n scrolledcanvas.n  
-		scrolledframe.n scrolledhtml.n shell.n scrolledlistbox.n  
-		scrolledtext.n selectionbox.n selectiondialog.n spindate.n  
-		spinint.n spinner.n spintime.n tabnotebook.n tabset.n  
-		timeentry.n timefield.n toolbar.n watch.n 
- 
-# Install both versions of iwidgets, but only the 
-# latest version of man-pages: 
-do-install: 
-.for d in iwidgets3.0.0 iwidgets2.2.0 
-	${MKDIR} ${PREFIX}/lib/$d/scripts/ ${PREFIX}/lib/$d/demos/images/ 
-	${INSTALL_DATA} ${WRKSRC}/$d/generic/* ${PREFIX}/lib/$d/scripts/ 
-	${INSTALL_DATA} ${WRKSRC}/$d/*.tcl ${PREFIX}/lib/$d/ 
-# Everything, but the html: 
-	${INSTALL_DATA} `${GREP} -Fl 'package require' ${WRKSRC}/$d/demos/*`  
-		${WRKSRC}/$d/demos/*.* ${PREFIX}/lib/$d/demos/ 
-	${INSTALL_DATA} ${WRKSRC}/$d/demos/images/*  
-		${PREFIX}/lib/$d/demos/images/ 
+DISTNAME=	iwidgets${PORTVERSION} 
+DISTFILES=	itcl3.2.1_src.tgz ${PORTNAME}${PORTVERSION}.tar.gz 
+DIST_SUBDIR=	${PORTNAME} 
+ 
+MAINTAINER=	pauls@utdallas.edu 
+COMMENT=	Iwidgets - [incr Widgets] 
+ 
+LIB_DEPENDS=	tcl84:${PORTSDIR}/lang/tcl84  
+		tk84:${PORTSDIR}/x11-toolkits/tk84  
+		itk32.1:${PORTSDIR}/x11-toolkits/itk 
+ 
+HAS_CONFIGURE=	yes 
+CONFIGURE_ARGS=	--prefix=${PREFIX}  
+		--with-tcl=${LOCALBASE}/lib/tcl8.4  
+		--with-tk=${LOCALBASE}/lib/tk8.4  
+		--with-itcl=${WRKDIR}/itcl3.2.1 
+SUB_LIST=	IWIDGETS=${DISTNAME} 
+SUB_FILES=	pkg-message 
+PLIST_SUB=	IWIDGETS=${DISTNAME} 
+ 
+PORTDOCS=	CHANGES ChangeLog README iwidgets.ps 
+ 
+MANN=	iwidgets_buttonbox.n iwidgets_calendar.n iwidgets_canvasprintbox.n iwidgets_canvasprintdialog.n  
+	iwidgets_checkbox.n iwidgets_combobox.n iwidgets_dateentry.n iwidgets_datefield.n iwidgets_dialog.n  
+	iwidgets_dialogshell.n iwidgets_disjointlistbox.n iwidgets_entryfield.n iwidgets_extbutton.n  
+	iwidgets_extfileselectionbox.n iwidgets_extfileselectiondialog.n iwidgets_feedback.n  
+	iwidgets_fileselectionbox.n iwidgets_fileselectiondialog.n iwidgets_finddialog.n iwidgets_hierarchy.n  
+	iwidgets_hyperhelp.n iwidgets_labeledframe.n iwidgets_labeledwidget.n iwidgets_mainwindow.n  
+	iwidgets_menubar.n iwidgets_messagebox.n iwidgets_messagedialog.n iwidgets_notebook.n  
+	iwidgets_optionmenu.n iwidgets_panedwindow.n iwidgets_promptdialog.n iwidgets_pushbutton.n  
+	iwidgets_radiobox.n iwidgets_scopedobject.n iwidgets_scrolledcanvas.n iwidgets_scrolledframe.n  
+	iwidgets_scrolledhtml.n iwidgets_scrolledlistbox.n iwidgets_scrolledtext.n iwidgets_selectionbox.n  
+	iwidgets_selectiondialog.n iwidgets_shell.n iwidgets_spindate.n iwidgets_spinint.n iwidgets_spinner.n  
+	iwidgets_spintime.n iwidgets_tabnotebook.n iwidgets_tabset.n iwidgets_timeentry.n iwidgets_timefield.n  
+	iwidgets_toolbar.n iwidgets_watch.n 
+ 
+post-install: 
+ 
+.if !defined(NOPORTDOCS) 
+	${MKDIR} ${DOCSDIR} 
+	${INSTALL_MAN} ${WRKSRC}/doc/iwidgets.ps ${DOCSDIR} 
+.for f in CHANGES ChangeLog README 
+	${INSTALL_MAN} ${WRKSRC}/${f} ${DOCSDIR} 
.endfor 
-	${INSTALL_MAN} ${WRKSRC}/iwidgets3.0.0/doc/*.n ${PREFIX}/man/mann/ 
+.endif 
+	@${CAT} ${PKGMESSAGE} 

.include <bsd.port.mk> 
diff -urN x11-toolkits/iwidgets.orig/distinfo x11-toolkits/iwidgets/distinfo 
--- x11-toolkits/iwidgets.orig/distinfo	Fri Nov 25 20:33:45 2005 
+++ x11-toolkits/iwidgets/distinfo	Thu Dec 15 21:39:43 2005 
@@ -1,3 +1,6 @@ 
-MD5 (itcl3.2.tar.gz) = b41ed909969eaa5f0a06ab698393760f 
-SHA256 (itcl3.2.tar.gz) = 53095e0d5aed54bcf5e53ae6384169985907d53c3874a37ff799644cd8a5202a 
-SIZE (itcl3.2.tar.gz) = 1498517 
+MD5 (iwidgets/itcl3.2.1_src.tgz) = 44dcc2129232329cacd6c8abebf38403 
+SHA256 (iwidgets/itcl3.2.1_src.tgz) = 9a225564fc94beef4cc0e627a368d9d2b4425c58b93d5a787c9836d6cceed2ad 
+SIZE (iwidgets/itcl3.2.1_src.tgz) = 427026 
+MD5 (iwidgets/iwidgets4.0.1.tar.gz) = 0e9c140e81ea6015b56130127c7deb03 
+SHA256 (iwidgets/iwidgets4.0.1.tar.gz) = b0e9cb74370f863e17a05df81fd70af3a39a1cfb733181c61669b30ad7799426 
+SIZE (iwidgets/iwidgets4.0.1.tar.gz) = 647960 
diff -urN x11-toolkits/iwidgets.orig/files/pkg-message.in x11-toolkits/iwidgets/files/pkg-message.in 
--- x11-toolkits/iwidgets.orig/files/pkg-message.in	Thu Jan  1 01:00:00 1970 
+++ x11-toolkits/iwidgets/files/pkg-message.in	Thu Dec 15 21:59:45 2005 
@@ -0,0 +1,21 @@ 
+ 
+Iwidgets is a "mega-widget" set built using itk.  It includes 
+a set of megawidgets, installed in %%PREFIX%%/lib/iwidgets4.0.1 
+(and symlinked to %%PREFIX%%/lib/iwidgets), a set of man pages 
+describing the various widgets, some scripts in 
+%%PREFIX%%/lib/%%IWIDGETS%%/scripts and some demo files in 
+%%PREFIX%%/lib/%%IWIDGETS%%/demos.  Run the demos in X windows by 
+using wish (E.g. wish8.4 %%PREFIX%%/lib/%%IWIDGETS%%/demos/checkbox) 
+ 
+All the man pages are installed as iwidgets_example.  If you search 
+man for widgets, you will get the Tk widgets.  To see the man pages 
+for iwidgets widgets, type man iwidgets_toolbar (for example.) There 
+is also a set of html documentation pages installed in 
+%%PREFIX%%/lib/%%IWIDGETS%%/demos/html that may be helpful. 
+Look at iwidgets4.0.0UserCmds.html for a list of the user commands 
+that are available to you. 
+ 
+Finally, you may want to read iwidgets.ps (use a Postcript viewer), 
+installed in %%DOCSDIR%%, which is a comprehensive 
+explanation of iwidgets. 
+ 
diff -urN x11-toolkits/iwidgets.orig/pkg-descr x11-toolkits/iwidgets/pkg-descr 
--- x11-toolkits/iwidgets.orig/pkg-descr	Sat Jul 28 16:53:46 2001 
+++ x11-toolkits/iwidgets/pkg-descr	Thu Dec 15 21:35:37 2005 
@@ -1,6 +1,7 @@ 
-This  package contains  [incr Widgets]  version 3.0.0  and 2.2.0.  [incr 
+This  package contains  [incr Widgets]  version 4.0.1.  [incr 
Widgets] is  a companion to  [incr Tk] and  provides a widget  set, with 
many improved  widgets. The [incr  Widgets] collection is also  known as 
-``iwidgets''. 
+``iwidgets'' or "mega-widgets". 

WWW:	http://sourceforge.net/projects/incrtcl/ 
+pauls@utdallas.edu 
diff -urN x11-toolkits/iwidgets.orig/pkg-message x11-toolkits/iwidgets/pkg-message 
--- x11-toolkits/iwidgets.orig/pkg-message	Tue Apr  6 00:44:51 1999 
+++ x11-toolkits/iwidgets/pkg-message	Thu Jan  1 01:00:00 1970 
@@ -1,4 +0,0 @@ 
- 
-For a demo of [incr Widgets] run 
-  /usr/local/lib/iwidgets3.0.0/demo/catalog 
-once it is installed. 
diff -urN x11-toolkits/iwidgets.orig/pkg-plist x11-toolkits/iwidgets/pkg-plist 
--- x11-toolkits/iwidgets.orig/pkg-plist	Sat Jul 28 16:53:46 2001 
+++ x11-toolkits/iwidgets/pkg-plist	Thu Dec 15 21:37:56 2005 
@@ -1,225 +1,197 @@ 
-lib/iwidgets3.0.0/scripts/buttonbox.itk 
-lib/iwidgets3.0.0/scripts/calendar.itk 
-lib/iwidgets3.0.0/scripts/canvasprintbox.itk 
-lib/iwidgets3.0.0/scripts/canvasprintdialog.itk 
-lib/iwidgets3.0.0/scripts/checkbox.itk 
-lib/iwidgets3.0.0/scripts/combobox.itk 
-lib/iwidgets3.0.0/scripts/dateentry.itk 
-lib/iwidgets3.0.0/scripts/datefield.itk 
-lib/iwidgets3.0.0/scripts/dialog.itk 
-lib/iwidgets3.0.0/scripts/dialogshell.itk 
-lib/iwidgets3.0.0/scripts/disjointlistbox.itk 
-lib/iwidgets3.0.0/scripts/entryfield.itk 
-lib/iwidgets3.0.0/scripts/extfileselectionbox.itk 
-lib/iwidgets3.0.0/scripts/extfileselectiondialog.itk 
-lib/iwidgets3.0.0/scripts/feedback.itk 
-lib/iwidgets3.0.0/scripts/fileselectionbox.itk 
-lib/iwidgets3.0.0/scripts/fileselectiondialog.itk 
-lib/iwidgets3.0.0/scripts/finddialog.itk 
-lib/iwidgets3.0.0/scripts/hierarchy.itk 
-lib/iwidgets3.0.0/scripts/hyperhelp.itk 
-lib/iwidgets3.0.0/scripts/labeledframe.itk 
-lib/iwidgets3.0.0/scripts/labeledwidget.itk 
-lib/iwidgets3.0.0/scripts/mainwindow.itk 
-lib/iwidgets3.0.0/scripts/menubar.itk 
-lib/iwidgets3.0.0/scripts/messagebox.itk 
-lib/iwidgets3.0.0/scripts/messagedialog.itk 
-lib/iwidgets3.0.0/scripts/notebook.itk 
-lib/iwidgets3.0.0/scripts/optionmenu.itk 
-lib/iwidgets3.0.0/scripts/pane.itk 
-lib/iwidgets3.0.0/scripts/panedwindow.itk 
-lib/iwidgets3.0.0/scripts/promptdialog.itk 
-lib/iwidgets3.0.0/scripts/pushbutton.itk 
-lib/iwidgets3.0.0/scripts/radiobox.itk 
-lib/iwidgets3.0.0/scripts/regexpfield.itk 
-lib/iwidgets3.0.0/scripts/scopedobject.tcl 
-lib/iwidgets3.0.0/scripts/scrolledcanvas.itk 
-lib/iwidgets3.0.0/scripts/scrolledframe.itk 
-lib/iwidgets3.0.0/scripts/scrolledhtml.itk 
-lib/iwidgets3.0.0/scripts/scrolledlistbox.itk 
-lib/iwidgets3.0.0/scripts/scrolledtext.itk 
-lib/iwidgets3.0.0/scripts/scrolledwidget.itk 
-lib/iwidgets3.0.0/scripts/selectionbox.itk 
-lib/iwidgets3.0.0/scripts/selectiondialog.itk 
-lib/iwidgets3.0.0/scripts/shell.itk 
-lib/iwidgets3.0.0/scripts/spindate.itk 
-lib/iwidgets3.0.0/scripts/spinint.itk 
-lib/iwidgets3.0.0/scripts/spinner.itk 
-lib/iwidgets3.0.0/scripts/spintime.itk 
-lib/iwidgets3.0.0/scripts/tabnotebook.itk 
-lib/iwidgets3.0.0/scripts/tabset.itk 
-lib/iwidgets3.0.0/scripts/timeentry.itk 
-lib/iwidgets3.0.0/scripts/timefield.itk 
-lib/iwidgets3.0.0/scripts/toolbar.itk 
-lib/iwidgets3.0.0/scripts/watch.itk 
-lib/iwidgets3.0.0/scripts/colors.itcl 
-lib/iwidgets3.0.0/scripts/roman.itcl 
-lib/iwidgets3.0.0/scripts/scopedobject.itcl 
-lib/iwidgets3.0.0/scripts/tclIndex 
-lib/iwidgets3.0.0/scripts/unknownimage.gif 
-lib/iwidgets3.0.0/iwidgets.tcl 
-lib/iwidgets3.0.0/pkgIndex.tcl 
-lib/iwidgets3.0.0/demos/images/box.xbm 
-lib/iwidgets3.0.0/demos/images/clear.gif 
-lib/iwidgets3.0.0/demos/images/close.gif 
-lib/iwidgets3.0.0/demos/images/copy.gif 
-lib/iwidgets3.0.0/demos/images/cut.gif 
-lib/iwidgets3.0.0/demos/images/exit.gif 
-lib/iwidgets3.0.0/demos/images/find.gif 
-lib/iwidgets3.0.0/demos/images/help.gif 
-lib/iwidgets3.0.0/demos/images/line.xbm 
-lib/iwidgets3.0.0/demos/images/mag.gif 
-lib/iwidgets3.0.0/demos/images/new.gif 
-lib/iwidgets3.0.0/demos/images/open.gif 
-lib/iwidgets3.0.0/demos/images/oval.xbm 
-lib/iwidgets3.0.0/demos/images/paste.gif 
-lib/iwidgets3.0.0/demos/images/points.xbm 
-lib/iwidgets3.0.0/demos/images/poly.gif 
-lib/iwidgets3.0.0/demos/images/print.gif 
-lib/iwidgets3.0.0/demos/images/ruler.gif 
-lib/iwidgets3.0.0/demos/images/save.gif 
-lib/iwidgets3.0.0/demos/images/select.gif 
-lib/iwidgets3.0.0/demos/images/text.xbm 
-lib/iwidgets3.0.0/demos/buttonbox 
-lib/iwidgets3.0.0/demos/calendar 
-lib/iwidgets3.0.0/demos/canvasprintbox 
-lib/iwidgets3.0.0/demos/canvasprintdialog 
-lib/iwidgets3.0.0/demos/catalog 
-lib/iwidgets3.0.0/demos/checkbox 
-lib/iwidgets3.0.0/demos/combobox 
-lib/iwidgets3.0.0/demos/dateentry 
-lib/iwidgets3.0.0/demos/datefield 
-lib/iwidgets3.0.0/demos/demo.html 
-lib/iwidgets3.0.0/demos/dialog 
-lib/iwidgets3.0.0/demos/dialogshell 
-lib/iwidgets3.0.0/demos/disjointlistbox 
-lib/iwidgets3.0.0/demos/entryfield 
-lib/iwidgets3.0.0/demos/extfileselectionbox 
-lib/iwidgets3.0.0/demos/extfileselectiondialog 
-lib/iwidgets3.0.0/demos/feedback 
-lib/iwidgets3.0.0/demos/fileselectionbox 
-lib/iwidgets3.0.0/demos/fileselectiondialog 
-lib/iwidgets3.0.0/demos/finddialog 
-lib/iwidgets3.0.0/demos/hierarchy 
-lib/iwidgets3.0.0/demos/hyperhelp 
-lib/iwidgets3.0.0/demos/iwidgets.gif 
-lib/iwidgets3.0.0/demos/labeledframe 
-lib/iwidgets3.0.0/demos/labeledwidget 
-lib/iwidgets3.0.0/demos/mainwindow 
-lib/iwidgets3.0.0/demos/menubar 
-lib/iwidgets3.0.0/demos/messagebox 
-lib/iwidgets3.0.0/demos/messagedialog 
-lib/iwidgets3.0.0/demos/notebook 
-lib/iwidgets3.0.0/demos/optionmenu 
-lib/iwidgets3.0.0/demos/panedwindow 
-lib/iwidgets3.0.0/demos/promptdialog 
-lib/iwidgets3.0.0/demos/pushbutton 
-lib/iwidgets3.0.0/demos/radiobox 
-lib/iwidgets3.0.0/demos/scopedobject 
-lib/iwidgets3.0.0/demos/scrolledcanvas 
-lib/iwidgets3.0.0/demos/scrolledframe 
-lib/iwidgets3.0.0/demos/scrolledhtml 
-lib/iwidgets3.0.0/demos/scrolledlistbox 
-lib/iwidgets3.0.0/demos/scrolledtext 
-lib/iwidgets3.0.0/demos/selectionbox 
-lib/iwidgets3.0.0/demos/selectiondialog 
-lib/iwidgets3.0.0/demos/shell 
-lib/iwidgets3.0.0/demos/spindate 
-lib/iwidgets3.0.0/demos/spinint 
-lib/iwidgets3.0.0/demos/spinner 
-lib/iwidgets3.0.0/demos/spintime 
-lib/iwidgets3.0.0/demos/tabnotebook 
-lib/iwidgets3.0.0/demos/tabset 
-lib/iwidgets3.0.0/demos/timeentry 
-lib/iwidgets3.0.0/demos/timefield 
-lib/iwidgets3.0.0/demos/toolbar 
-lib/iwidgets3.0.0/demos/watch 
-@dirrm lib/iwidgets3.0.0/scripts 
-@dirrm lib/iwidgets3.0.0/demos/images 
-@dirrm lib/iwidgets3.0.0/demos 
-@dirrm lib/iwidgets3.0.0 
-lib/iwidgets2.2.0/demos/dialogshell 
-lib/iwidgets2.2.0/demos/buttonbox 
-lib/iwidgets2.2.0/demos/catalog 
-lib/iwidgets2.2.0/demos/dialog 
-lib/iwidgets2.2.0/demos/canvasprintdialog 
-lib/iwidgets2.2.0/demos/combobox 
-lib/iwidgets2.2.0/demos/demo.html 
-lib/iwidgets2.2.0/demos/iwidgets.gif 
-lib/iwidgets2.2.0/demos/entryfield 
-lib/iwidgets2.2.0/demos/feedback 
-lib/iwidgets2.2.0/demos/fileselectiondialog 
-lib/iwidgets2.2.0/demos/fileselectionbox 
-lib/iwidgets2.2.0/demos/hyperhelp 
-lib/iwidgets2.2.0/demos/scrolledcanvas 
-lib/iwidgets2.2.0/demos/labeledwidget 
-lib/iwidgets2.2.0/demos/menubar 
-lib/iwidgets2.2.0/demos/messagedialog 
-lib/iwidgets2.2.0/demos/notebook 
-lib/iwidgets2.2.0/demos/optionmenu 
-lib/iwidgets2.2.0/demos/panedwindow 
-lib/iwidgets2.2.0/demos/promptdialog 
-lib/iwidgets2.2.0/demos/pushbutton 
-lib/iwidgets2.2.0/demos/spinint 
-lib/iwidgets2.2.0/demos/radiobox 
-lib/iwidgets2.2.0/demos/scrolledlistbox 
-lib/iwidgets2.2.0/demos/scrolledframe 
-lib/iwidgets2.2.0/demos/scrolledhtml 
-lib/iwidgets2.2.0/demos/selectiondialog 
-lib/iwidgets2.2.0/demos/scrolledtext 
-lib/iwidgets2.2.0/demos/selectionbox 
-lib/iwidgets2.2.0/demos/tabnotebook 
-lib/iwidgets2.2.0/demos/spindate 
-lib/iwidgets2.2.0/demos/spinner 
-lib/iwidgets2.2.0/demos/spintime 
-lib/iwidgets2.2.0/demos/toolbar 
-lib/iwidgets2.2.0/demos/tabset 
-lib/iwidgets2.2.0/demos/images/mag.gif 
-lib/iwidgets2.2.0/demos/images/poly.gif 
-lib/iwidgets2.2.0/demos/images/ruler.gif 
-lib/iwidgets2.2.0/demos/images/select.gif 
-lib/iwidgets2.2.0/pkgIndex.tcl 
-lib/iwidgets2.2.0/iwidgets.tcl 
-lib/iwidgets2.2.0/scripts/canvasprintbox.itk 
-lib/iwidgets2.2.0/scripts/buttonbox.itk 
-lib/iwidgets2.2.0/scripts/fileselectiondialog.itk 
-lib/iwidgets2.2.0/scripts/canvasprintdialog.itk 
-lib/iwidgets2.2.0/scripts/colors.itk 
-lib/iwidgets2.2.0/scripts/combobox.itk 
-lib/iwidgets2.2.0/scripts/dialog.itk 
-lib/iwidgets2.2.0/scripts/dialogshell.itk 
-lib/iwidgets2.2.0/scripts/entryfield.itk 
-lib/iwidgets2.2.0/scripts/feedback.itk 
-lib/iwidgets2.2.0/scripts/fileselectionbox.itk 
-lib/iwidgets2.2.0/scripts/labeledwidget.itk 
-lib/iwidgets2.2.0/scripts/hyperhelp.itk 
-lib/iwidgets2.2.0/scripts/messagedialog.itk 
-lib/iwidgets2.2.0/scripts/menubar.itk 
-lib/iwidgets2.2.0/scripts/panedwindow.itk 
-lib/iwidgets2.2.0/scripts/notebook.itk 
-lib/iwidgets2.2.0/scripts/optionmenu.itk 
-lib/iwidgets2.2.0/scripts/pane.itk 
-lib/iwidgets2.2.0/scripts/scrolledlistbox.itk 
-lib/iwidgets2.2.0/scripts/promptdialog.itk 
-lib/iwidgets2.2.0/scripts/pushbutton.itk 
-lib/iwidgets2.2.0/scripts/radiobox.itk 
-lib/iwidgets2.2.0/scripts/scrolledcanvas.itk 
-lib/iwidgets2.2.0/scripts/scrolledframe.itk 
-lib/iwidgets2.2.0/scripts/scrolledhtml.itk 
-lib/iwidgets2.2.0/scripts/selectiondialog.itk 
-lib/iwidgets2.2.0/scripts/scrolledtext.itk 
-lib/iwidgets2.2.0/scripts/selectionbox.itk 
-lib/iwidgets2.2.0/scripts/spindate.itk 
-lib/iwidgets2.2.0/scripts/shell.itk 
-lib/iwidgets2.2.0/scripts/tabnotebook.itk 
-lib/iwidgets2.2.0/scripts/spinint.itk 
-lib/iwidgets2.2.0/scripts/spinner.itk 
-lib/iwidgets2.2.0/scripts/spintime.itk 
-lib/iwidgets2.2.0/scripts/toolbar.itk 
-lib/iwidgets2.2.0/scripts/tabset.itk 
-lib/iwidgets2.2.0/scripts/tclIndex 
-lib/iwidgets2.2.0/scripts/unknownimage.gif 
-@dirrm lib/iwidgets2.2.0/scripts 
-@dirrm lib/iwidgets2.2.0/demos/images 
-@dirrm lib/iwidgets2.2.0/demos 
-@dirrm lib/iwidgets2.2.0 
+lib/%%IWIDGETS%%/demos/buttonbox 
+lib/%%IWIDGETS%%/demos/calendar 
+lib/%%IWIDGETS%%/demos/canvasprintbox 
+lib/%%IWIDGETS%%/demos/canvasprintdialog 
+lib/%%IWIDGETS%%/demos/catalog 
+lib/%%IWIDGETS%%/demos/checkbox 
+lib/%%IWIDGETS%%/demos/combobox 
+lib/%%IWIDGETS%%/demos/dateentry 
+lib/%%IWIDGETS%%/demos/datefield 
+lib/%%IWIDGETS%%/demos/demo.html 
+lib/%%IWIDGETS%%/demos/dialog 
+lib/%%IWIDGETS%%/demos/dialogshell 
+lib/%%IWIDGETS%%/demos/disjointlistbox 
+lib/%%IWIDGETS%%/demos/entryfield 
+lib/%%IWIDGETS%%/demos/extbutton 
+lib/%%IWIDGETS%%/demos/extfileselectionbox 
+lib/%%IWIDGETS%%/demos/extfileselectiondialog 
+lib/%%IWIDGETS%%/demos/feedback 
+lib/%%IWIDGETS%%/demos/fileselectionbox 
+lib/%%IWIDGETS%%/demos/fileselectiondialog 
+lib/%%IWIDGETS%%/demos/finddialog 
+lib/%%IWIDGETS%%/demos/hierarchy 
+lib/%%IWIDGETS%%/demos/html/buttonbox.n.html 
+lib/%%IWIDGETS%%/demos/html/calendar.n.html 
+lib/%%IWIDGETS%%/demos/html/canvasprintbox.n.html 
+lib/%%IWIDGETS%%/demos/html/canvasprintdialog.n.html 
+lib/%%IWIDGETS%%/demos/html/checkbox.n.html 
+lib/%%IWIDGETS%%/demos/html/combobox.n.html 
+lib/%%IWIDGETS%%/demos/html/dateentry.n.html 
+lib/%%IWIDGETS%%/demos/html/datefield.n.html 
+lib/%%IWIDGETS%%/demos/html/dialog.n.html 
+lib/%%IWIDGETS%%/demos/html/dialogshell.n.html 
+lib/%%IWIDGETS%%/demos/html/disjointlistbox.n.html 
+lib/%%IWIDGETS%%/demos/html/entryfield.n.html 
+lib/%%IWIDGETS%%/demos/html/extbutton.n.html 
+lib/%%IWIDGETS%%/demos/html/extfileselectionbox.n.html 
+lib/%%IWIDGETS%%/demos/html/extfileselectiondialog.n.html 
+lib/%%IWIDGETS%%/demos/html/feedback.n.html 
+lib/%%IWIDGETS%%/demos/html/fileselectionbox.n.html 
+lib/%%IWIDGETS%%/demos/html/fileselectiondialog.n.html 
+lib/%%IWIDGETS%%/demos/html/finddialog.n.html 
+lib/%%IWIDGETS%%/demos/html/hierarchy.n.html 
+lib/%%IWIDGETS%%/demos/html/hyperhelp.n.html 
+lib/%%IWIDGETS%%/demos/html/iwidgets4.0.0UserCmds.html 
+lib/%%IWIDGETS%%/demos/html/labeledframe.n.html 
+lib/%%IWIDGETS%%/demos/html/labeledwidget.n.html 
+lib/%%IWIDGETS%%/demos/html/mainwindow.n.html 
+lib/%%IWIDGETS%%/demos/html/menubar.n.html 
+lib/%%IWIDGETS%%/demos/html/messagebox.n.html 
+lib/%%IWIDGETS%%/demos/html/messagedialog.n.html 
+lib/%%IWIDGETS%%/demos/html/notebook.n.html 
+lib/%%IWIDGETS%%/demos/html/optionmenu.n.html 
+lib/%%IWIDGETS%%/demos/html/panedwindow.n.html 
+lib/%%IWIDGETS%%/demos/html/promptdialog.n.html 
+lib/%%IWIDGETS%%/demos/html/pushbutton.n.html 
+lib/%%IWIDGETS%%/demos/html/radiobox.n.html 
+lib/%%IWIDGETS%%/demos/html/scopedobject.n.html 
+lib/%%IWIDGETS%%/demos/html/scrolledcanvas.n.html 
+lib/%%IWIDGETS%%/demos/html/scrolledframe.n.html 
+lib/%%IWIDGETS%%/demos/html/scrolledhtml.n.html 
+lib/%%IWIDGETS%%/demos/html/scrolledlistbox.n.html 
+lib/%%IWIDGETS%%/demos/html/scrolledtext.n.html 
+lib/%%IWIDGETS%%/demos/html/selectionbox.n.html 
+lib/%%IWIDGETS%%/demos/html/selectiondialog.n.html 
+lib/%%IWIDGETS%%/demos/html/shell.n.html 
+lib/%%IWIDGETS%%/demos/html/spindate.n.html 
+lib/%%IWIDGETS%%/demos/html/spinint.n.html 
+lib/%%IWIDGETS%%/demos/html/spinner.n.html 
+lib/%%IWIDGETS%%/demos/html/spintime.n.html 
+lib/%%IWIDGETS%%/demos/html/tabnotebook.n.html 
+lib/%%IWIDGETS%%/demos/html/tabset.n.html 
+lib/%%IWIDGETS%%/demos/html/timeentry.n.html 
+lib/%%IWIDGETS%%/demos/html/timefield.n.html 
+lib/%%IWIDGETS%%/demos/html/toolbar.n.html 
+lib/%%IWIDGETS%%/demos/html/watch.n.html 
+lib/%%IWIDGETS%%/demos/hyperhelp 
+lib/%%IWIDGETS%%/demos/images/box.xbm 
+lib/%%IWIDGETS%%/demos/images/clear.gif 
+lib/%%IWIDGETS%%/demos/images/close.gif 
+lib/%%IWIDGETS%%/demos/images/copy.gif 
+lib/%%IWIDGETS%%/demos/images/cut.gif 
+lib/%%IWIDGETS%%/demos/images/exit.gif 
+lib/%%IWIDGETS%%/demos/images/find.gif 
+lib/%%IWIDGETS%%/demos/images/help.gif 
+lib/%%IWIDGETS%%/demos/images/line.xbm 
+lib/%%IWIDGETS%%/demos/images/mag.gif 
+lib/%%IWIDGETS%%/demos/images/new.gif 
+lib/%%IWIDGETS%%/demos/images/open.gif 
+lib/%%IWIDGETS%%/demos/images/oval.xbm 
+lib/%%IWIDGETS%%/demos/images/paste.gif 
+lib/%%IWIDGETS%%/demos/images/points.xbm 
+lib/%%IWIDGETS%%/demos/images/poly.gif 
+lib/%%IWIDGETS%%/demos/images/print.gif 
+lib/%%IWIDGETS%%/demos/images/ruler.gif 
+lib/%%IWIDGETS%%/demos/images/save.gif 
+lib/%%IWIDGETS%%/demos/images/select.gif 
+lib/%%IWIDGETS%%/demos/images/text.xbm 
+lib/%%IWIDGETS%%/demos/iwidgets.gif 
+lib/%%IWIDGETS%%/demos/labeledframe 
+lib/%%IWIDGETS%%/demos/labeledwidget 
+lib/%%IWIDGETS%%/demos/mainwindow 
+lib/%%IWIDGETS%%/demos/menubar 
+lib/%%IWIDGETS%%/demos/messagebox 
+lib/%%IWIDGETS%%/demos/messagedialog 
+lib/%%IWIDGETS%%/demos/notebook 
+lib/%%IWIDGETS%%/demos/optionmenu 
+lib/%%IWIDGETS%%/demos/panedwindow 
+lib/%%IWIDGETS%%/demos/promptdialog 
+lib/%%IWIDGETS%%/demos/pushbutton 
+lib/%%IWIDGETS%%/demos/radiobox 
+lib/%%IWIDGETS%%/demos/scopedobject 
+lib/%%IWIDGETS%%/demos/scrolledcanvas 
+lib/%%IWIDGETS%%/demos/scrolledframe 
+lib/%%IWIDGETS%%/demos/scrolledhtml 
+lib/%%IWIDGETS%%/demos/scrolledlistbox 
+lib/%%IWIDGETS%%/demos/scrolledtext 
+lib/%%IWIDGETS%%/demos/selectionbox 
+lib/%%IWIDGETS%%/demos/selectiondialog 
+lib/%%IWIDGETS%%/demos/shell 
+lib/%%IWIDGETS%%/demos/spindate 
+lib/%%IWIDGETS%%/demos/spinint 
+lib/%%IWIDGETS%%/demos/spinner 
+lib/%%IWIDGETS%%/demos/spintime 
+lib/%%IWIDGETS%%/demos/tabnotebook 
+lib/%%IWIDGETS%%/demos/tabset 
+lib/%%IWIDGETS%%/demos/timeentry 
+lib/%%IWIDGETS%%/demos/timefield 
+lib/%%IWIDGETS%%/demos/toolbar 
+lib/%%IWIDGETS%%/demos/watch 
+lib/%%IWIDGETS%%/iwidgets.tcl 
+lib/%%IWIDGETS%%/license.terms 
+lib/%%IWIDGETS%%/pkgIndex.tcl 
+lib/%%IWIDGETS%%/scripts/buttonbox.itk 
+lib/%%IWIDGETS%%/scripts/calendar.itk 
+lib/%%IWIDGETS%%/scripts/canvasprintbox.itk 
+lib/%%IWIDGETS%%/scripts/canvasprintdialog.itk 
+lib/%%IWIDGETS%%/scripts/checkbox.itk 
+lib/%%IWIDGETS%%/scripts/colors.itcl 
+lib/%%IWIDGETS%%/scripts/combobox.itk 
+lib/%%IWIDGETS%%/scripts/dateentry.itk 
+lib/%%IWIDGETS%%/scripts/datefield.itk 
+lib/%%IWIDGETS%%/scripts/dialog.itk 
+lib/%%IWIDGETS%%/scripts/dialogshell.itk 
+lib/%%IWIDGETS%%/scripts/disjointlistbox.itk 
+lib/%%IWIDGETS%%/scripts/entryfield.itk 
+lib/%%IWIDGETS%%/scripts/extbutton.itk 
+lib/%%IWIDGETS%%/scripts/extfileselectionbox.itk 
+lib/%%IWIDGETS%%/scripts/extfileselectiondialog.itk 
+lib/%%IWIDGETS%%/scripts/feedback.itk 
+lib/%%IWIDGETS%%/scripts/fileselectionbox.itk 
+lib/%%IWIDGETS%%/scripts/fileselectiondialog.itk 
+lib/%%IWIDGETS%%/scripts/finddialog.itk 
+lib/%%IWIDGETS%%/scripts/hierarchy.itk 
+lib/%%IWIDGETS%%/scripts/hyperhelp.itk 
+lib/%%IWIDGETS%%/scripts/labeledframe.itk 
+lib/%%IWIDGETS%%/scripts/labeledwidget.itk 
+lib/%%IWIDGETS%%/scripts/mainwindow.itk 
+lib/%%IWIDGETS%%/scripts/menubar.itk 
+lib/%%IWIDGETS%%/scripts/messagebox.itk 
+lib/%%IWIDGETS%%/scripts/messagedialog.itk 
+lib/%%IWIDGETS%%/scripts/notebook.itk 
+lib/%%IWIDGETS%%/scripts/optionmenu.itk 
+lib/%%IWIDGETS%%/scripts/pane.itk 
+lib/%%IWIDGETS%%/scripts/panedwindow.itk 
+lib/%%IWIDGETS%%/scripts/promptdialog.itk 
+lib/%%IWIDGETS%%/scripts/pushbutton.itk 
+lib/%%IWIDGETS%%/scripts/radiobox.itk 
+lib/%%IWIDGETS%%/scripts/regexpfield.itk 
+lib/%%IWIDGETS%%/scripts/roman.itcl 
+lib/%%IWIDGETS%%/scripts/scopedobject.itcl 
+lib/%%IWIDGETS%%/scripts/scrolledcanvas.itk 
+lib/%%IWIDGETS%%/scripts/scrolledframe.itk 
+lib/%%IWIDGETS%%/scripts/scrolledhtml.itk 
+lib/%%IWIDGETS%%/scripts/scrolledlistbox.itk 
+lib/%%IWIDGETS%%/scripts/scrolledtext.itk 
+lib/%%IWIDGETS%%/scripts/scrolledwidget.itk 
+lib/%%IWIDGETS%%/scripts/selectionbox.itk 
+lib/%%IWIDGETS%%/scripts/selectiondialog.itk 
+lib/%%IWIDGETS%%/scripts/shell.itk 
+lib/%%IWIDGETS%%/scripts/spindate.itk 
+lib/%%IWIDGETS%%/scripts/spinint.itk 
+lib/%%IWIDGETS%%/scripts/spinner.itk 
+lib/%%IWIDGETS%%/scripts/spintime.itk 
+lib/%%IWIDGETS%%/scripts/tabnotebook.itk 
+lib/%%IWIDGETS%%/scripts/tabset.itk 
+lib/%%IWIDGETS%%/scripts/tclIndex 
+lib/%%IWIDGETS%%/scripts/timeentry.itk 
+lib/%%IWIDGETS%%/scripts/timefield.itk 
+lib/%%IWIDGETS%%/scripts/toolbar.itk 
+lib/%%IWIDGETS%%/scripts/unknownimage.gif 
+lib/%%IWIDGETS%%/scripts/watch.itk 
+lib/iwidgets 
+@dirrm lib/%%IWIDGETS%%/scripts 
+@dirrm lib/%%IWIDGETS%%/demos/images 
+@dirrm lib/%%IWIDGETS%%/demos/html 
+@dirrm lib/%%IWIDGETS%%/demos 
+@dirrm lib/%%IWIDGETS%% 
--- iwidgets.diff ends here ---
Comment 10 Thierry Thomas freebsd_committer 2005-12-15 22:05:40 UTC
Responsible Changed
From-To: ports@FreeBSD.fr->ports@FreeBSD.org


Oops, bad assignation...
Comment 11 Thierry Thomas freebsd_committer 2005-12-16 06:43:49 UTC
State Changed
From-To: feedback->open


Feedback received.
Comment 12 Thierry Thomas freebsd_committer 2005-12-26 14:20:57 UTC
State Changed
From-To: open->closed


Finally committed! 

Thanks for your patience, and thanks to Pedro F. Giffuni for his updates 
to lang/itcl and x11-toolkits/itk.